package com.jeeplus.business.humanResources.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import com.jeeplus.business.humanResources.service.StaffUserInfoService;
import com.jeeplus.business.humanResources.service.dto.StaffUserInfoDTO;
import com.jeeplus.common.utils.ResponseUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

@Slf4j
@Api(tags ="员工入职")
@RestController
@RequestMapping(value = "/employeeEntry")
public class StaffUserInfoController {

    @Resource
    private StaffUserInfoService staffUserInfoService;


    /**
     * 列表
     */
    @ApiOperation(value = "入职列表")
    @GetMapping(value = "/findList")
    public ResponseEntity<IPage<StaffUserInfoDTO>> applyList(StaffUserInfoDTO userInfoDTO, Page<StaffUserInfoDTO> page) throws Exception {
        IPage<StaffUserInfoDTO> pageList=staffUserInfoService.findPageList(userInfoDTO,page);
        return ResponseEntity.ok(pageList);
    }


    /*
    根据id进行查询
     */
    @ApiOperation(value = "根据id查询数据")
    @GetMapping(value = "findById")
    public ResponseEntity<StaffUserInfoDTO> findById(@RequestParam String id){
        StaffUserInfoDTO userInfoDTO=staffUserInfoService.findById(id);
        return ResponseEntity.ok(userInfoDTO);
    }

    /**
     * 新增/修改入职
     */
    @ApiOperation(value = "新增/修改入职")
    @PostMapping(value = "/saveForm")
    public ResponseEntity saveForm(@RequestBody StaffUserInfoDTO staffUserInfoDTO) throws Exception{
        String id = staffUserInfoService.saveForm(staffUserInfoDTO);
        return ResponseUtil.newInstance().add("businessTable", "staff_user_info").add("businessId", id).ok ("操作成功");
    }

    /**
     * 根据id修改状态status
     * @param
     */
    @ApiOperation(value = "根据id修改状态status")
    @PostMapping(value = "/updateStatusById")
    public void updateStatusById(@RequestBody StaffUserInfoDTO staffUserInfoDTO) {
        staffUserInfoService.updateStatusById(staffUserInfoDTO);
    }

    /**
     * 根据id进行删除
     */
    @ApiOperation(value = "根据id进行删除")
    @DeleteMapping(value = "/delete")
    public ResponseEntity<String> deleteById(@RequestParam String id){
        String s = staffUserInfoService.deleteById(id);
        return ResponseEntity.ok(s);
    }






}
